Subject: bug#6343: Log-edit font lock changes lead to loop

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 03 Jun 2010 13:36:50 -0400

Chong Yidong <[email-masked]> writes:

> I had the following text in my kill ring:
>
>   * cedet/semantic/lex-spp.el
>   (semantic-lex-spp-table-write-slot-value): Instead of erroring on
>   invalid values during save, just save a nil (Bug#6324).
>
> From VC-dir, I marked some files and typed "v" to commit them.  In the
> log edit buffer, I type "C-y" to attempt to yank into the buffer.  Emacs
> became unresponsive to all keyboard input.  According to the debugger,
> Emacs is looping on `jit-lock-fontify-now'.
>
>
> If I revert the following change, the problem goes away.
>
> 22010-06-02  Dan Nicolaescu  <[email-masked]>
>
>   * log-edit.el (log-edit-font-lock-keywords): Make group 4 match lax.

The motivation for the above change was that the *Messages* would get a lot of errors of the form:
(from memory, so the wording is not exactly this)

Error in redisplay, could not match (4 font-lock-warning-face)